SURFACECLEAN(1)

NAME
surfaceClean - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
surfaceClean [OPTIONS] input length quality output

DESCRIPTION
Clean surface by removing baffles, sliver faces, collapsing small edges, etc.

ARGUMENTS

input
    The input surface file

length
    The min length

quality
    The min quality

output
    The output surface file

OPTIONS

-case dir
    Specify case directory to use (instead of the cwd)

-noClean
    Suppress surface checking/cleanup on the input surface

-scale factor
    Input geometry scaling factor

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-noFunctionObjects
    Do not execute function objects

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-doc-source
    Display source code in browser

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.